This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 627629 - unable to find a suitable template
unable to find a suitable template
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: grubby (Show other bugs)
13
All Linux
low Severity high
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-26 10:44 EDT by Jan Kratochvil
Modified: 2011-06-28 09:55 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-28 09:55:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Kratochvil 2010-08-26 10:44:12 EDT
Description of problem:
grubby kept crashing but after recent update it just errors out.

Version-Release number of selected component (if applicable):
grubby-7.0.16-1.fc13.x86_64
 = grubby fatal error: unable to find a suitable template
grubby-7.0.13-1.fc13.x86_64 = crash
grubby-7.0.12-1.fc13.x86_64 = crash
grubby-7.0.11-1.fc13.x86_64
 = grubby fatal error: unable to find a suitable template

How reproducible:
Always.

Steps to Reproduce:
/sbin/new-kernel-pkg --package kernel --install 2.6.33.8-149.fc13.x86_64

Actual results:
grubby fatal error: unable to find a suitable template

Expected results:
Installed entry in /etc/grub.conf

Additional info:
My existing /etc/grub.conf is IMO perfectly valid:
# grub.conf generated by anaconda
#
# Note that you do not have to rerun grub after making changes to this file
# NOTICE:  You have a /boot partition.  This means that
#          all kernel and initrd paths are relative to /boot/, eg.
#          root (hd0,0)
#          kernel /vmlinuz-version ro root=/dev/mapper/luks-97047e1e-cf34-4079-a464-69dbe6b5c6ab
#          initrd /initrd-version.img
boot=/dev/md0
timeout=5
splashimage=(hd0,0)/grub/splash.xpm.gz
hiddenmenu

title Fedora (2.6.33.6-147.fc13.x86_64)
        root (hd0,0)
        kernel /vmlinuz-2.6.33.6-147.fc13.x86_64 ro root=/dev/mapper/luks-97047e1e-cf34-4079-a464-69dbe6b5c6ab SYSFONT=latarcyrheb-sun16 LANG=en_US.UTF-8 KEYTABLE=us
        initrd /initramfs-2.6.33.6-147.fc13.x86_64.img

(there are tabs on the last three lines and there is \n\n at the end)
Comment 1 Bug Zapper 2011-06-01 06:20:46 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2011-06-28 09:55:16 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.